Bug 171854 - Allow DSMLGW to build with GAR build scripts
Allow DSMLGW to build with GAR build scripts
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 22:58 EDT by Rich Megginson
Modified: 2015-01-04 18:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 15:49:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of files in fix (127 bytes, text/plain)
2005-10-26 22:58 EDT, Rich Megginson
no flags Details
diffs for fix (5.17 KB, text/plain)
2005-10-26 22:59 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2005-10-26 22:58:41 EDT
Need to parameterize the location of the DSMLGW jar files so that those files
can be downloaded into a location other than dist/classes and that location can
be passed into the Makefiles and build.xml.
Comment 1 Rich Megginson 2005-10-26 22:58:41 EDT
Created attachment 120444 [details]
List of files in fix
Comment 2 Rich Megginson 2005-10-26 22:59:13 EDT
Created attachment 120445 [details]
diffs for fix
Comment 3 Rich Megginson 2005-10-27 10:14:24 EDT
Reviewed by: nhosoi@redhat.com (Thanks!)
Files: https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=120444
Branch: HEAD
Fix Description: Add a new macro DSMLGWJARS_BUILD_DIR which defaults to 
dist/classes for internal builds.  For external builds, the developer 
can grab these jars from their respective locations, or grab the bundle 
from the fds download site, which is what the GAR builds will do.  The 
location is then passed in on the make command line as 
DSMLGWJARS_BUILD_DIR=/path/to/dsmlgwjars.  Regular internal builds 
should continue to work as always.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no


Checking in ldapserver/buildpaths.mk;
/cvs/dirsec/ldapserver/buildpaths.mk,v  <--  buildpaths.mk
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/internal_buildpaths.mk;
/cvs/dirsec/ldapserver/internal_buildpaths.mk,v  <--  internal_buildpaths.mk
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/clients/dsmlgw/Makefile;
/cvs/dirsec/ldapserver/ldap/clients/dsmlgw/Makefile,v  <--  Makefile
new revision: 1.9; previous revision: 1.8
done.
Checking in ldapserver/ldap/cm/Makefile;
/cvs/dirsec/ldapserver/ldap/cm/Makefile,v  <--  Makefile
new revision: 1.38; previous revision: 1.37
done

Note You need to log in before you can comment on or make changes to this bug.